@echo off
REM make all XFolder files
REM this will call nmake with all the makefiles
REM in the subdirectories to update all parts of
REM XFolder: the main module, the NLS DLLS, and
REM all the HLP and INF files

REM change the following if you need some cmd file
REM which sets compiler variables; otherwise comment
REM this out
call envicc

REM you MUST change the following to the path where
REM you installed XFolder; the makefiles will automatically
REM copy the resulting files thereto
SET XFOLDERPATH=G:\develop\C\XFolder\running

REM you MUST change the following to the path where
REM HTML2IPF resides, or the INF and HLP files cannot
REM be created
SET HTML2IPF=J:\Tools\develop\HTML2IPF\html2ipf.cmd

REM *** go!

echo   Making XFolder main module (MAIN)...
cd main
nmake /nologo xfldr.mak
cd ..

echo   Making 001\XFLDR001.DLL...
cd 001
nmake /nologo xfldr001.mak
echo   Making 001\INF.001\XFLDR001.INF...
cd inf.001
nmake /nologo inf001.mak
echo   Making 001\HELP.001\XFLDR001.HLP...
cd ..\help.001
nmake /nologo help001.mak
cd ..\..

REM if you want to create new NLS files,
REM change the following "049"'s to your
REM language code

if not exist 049\xfldr049.mak goto end
echo   Making 049\XFLDR049.DLL...
cd 049
nmake /nologo xfldr049.mak
echo   Making 049\INF.049\XFLDR049.INF...
cd inf.049
nmake /nologo inf049.mak
echo   Making 049\HELP.049\XFLDR049.HLP...
cd ..\help.049
nmake /nologo help049.mak
cd ..\..

:end
pause


